RShiftC
Logical And Shift Operations

Right shifts the bits of each sample of a signal by a constant amount. More...

## Functions

NppStatus | nppsRShiftC_8u (const Npp8u *pSrc, int nValue, Npp8u *pDst, int nLength)
| 8-bit unsigned char signal right shift with constant. More...
NppStatus | nppsRShiftC_16u (const Npp16u *pSrc, int nValue, Npp16u *pDst, int nLength)
| 16-bit unsigned short signal right shift with constant. More...
NppStatus | nppsRShiftC_16s (const Npp16s *pSrc, int nValue, Npp16s *pDst, int nLength)
| 16-bit signed short signal right shift with constant. More...
NppStatus | nppsRShiftC_32u (const Npp32u *pSrc, int nValue, Npp32u *pDst, int nLength)
| 32-bit unsigned integer signal right shift with constant. More...
NppStatus | nppsRShiftC_32s (const Npp32s *pSrc, int nValue, Npp32s *pDst, int nLength)
| 32-bit signed integer signal right shift with constant. More...
NppStatus | nppsRShiftC_8u_I (int nValue, Npp8u *pSrcDst, int nLength)
| 8-bit unsigned char in place signal right shift with constant. More...
NppStatus | nppsRShiftC_16u_I (int nValue, Npp16u *pSrcDst, int nLength)
| 16-bit unsigned short in place signal right shift with constant. More...
NppStatus | nppsRShiftC_16s_I (int nValue, Npp16s *pSrcDst, int nLength)
| 16-bit signed short in place signal right shift with constant. More...
NppStatus | nppsRShiftC_32u_I (int nValue, Npp32u *pSrcDst, int nLength)
| 32-bit unsigned signed integer in place signal right shift with constant. More...
NppStatus | nppsRShiftC_32s_I (int nValue, Npp32s *pSrcDst, int nLength)
| 32-bit signed signed integer in place signal right shift with constant. More...

## Detailed Description

Right shifts the bits of each sample of a signal by a constant amount.

## Function Documentation

NppStatus nppsRShiftC_16s | ( | const Npp16s * | pSrc,
|  | int | nValue,
|  | Npp16s * | pDst,
|  | int | nLength
| ) |  |

16-bit signed short signal right shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsRShiftC_16s_I | ( | int | nValue,
|  | Npp16s * | pSrcDst,
|  | int | nLength
| ) |  |

16-bit signed short in place signal right shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsRShiftC_16u | ( | const Npp16u * | pSrc,
|  | int | nValue,
|  | Npp16u * | pDst,
|  | int | nLength
| ) |  |

16-bit unsigned short signal right shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsRShiftC_16u_I | ( | int | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength
| ) |  |

16-bit unsigned short in place signal right shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsRShiftC_32s | ( | const Npp32s * | pSrc,
|  | int | nValue,
|  | Npp32s * | pDst,
|  | int | nLength
| ) |  |

32-bit signed integer signal right shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsRShiftC_32s_I | ( | int | nValue,
|  | Npp32s * | pSrcDst,
|  | int | nLength
| ) |  |

32-bit signed signed integer in place signal right shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsRShiftC_32u | ( | const Npp32u * | pSrc,
|  | int | nValue,
|  | Npp32u * | pDst,
|  | int | nLength
| ) |  |

32-bit unsigned integer signal right shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsRShiftC_32u_I | ( | int | nValue,
|  | Npp32u * | pSrcDst,
|  | int | nLength
| ) |  |

32-bit unsigned signed integer in place signal right shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsRShiftC_8u | ( | const Npp8u * | pSrc,
|  | int | nValue,
|  | Npp8u * | pDst,
|  | int | nLength
| ) |  |

8-bit unsigned char signal right shift with constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsRShiftC_8u_I | ( | int | nValue,
|  | Npp8u * | pSrcDst,
|  | int | nLength
| ) |  |

8-bit unsigned char in place signal right shift with constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be used to right shift each vector element
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2017 NVIDIA Corporation